local L = LibStub("AceLocale-3.0"):NewLocale("TitanPals","enUS",true);

-- Core
L["TITAN_PALS_CORE_ID"] = "Pals";
L["TITAN_PALS_CORE_VERSION"] = GetAddOnMetadata("TitanPals","Version");
L["TITAN_PALS_CORE_DTAG"] = "<TitanPals Debug>";
L["TITAN_PALS_CORE_ITAG"] = "<TitanPals Info>";
L["TITAN_PALS_CORE_ADDVER"] = "r6";
L["TITAN_PALS_CORE_ARTWORK"] = "Interface\\AddOns\\TitanPals\\Artwork\\TitanPals";

-- Tooltip
L["TITAN_PALS_TOOLTIP"] = "Online Pals Info";
L["TITAN_PALS_TOOLTIP_OFF"] = "Offline Pals Info";
L["TITAN_PALS_TOOLTIP_IGNORE"] = "Currently Ignored Info";
L["TITAN_PALS_TOOLTIP_MEM"] = "Memory Usage";
L["TITAN_PALS_TOOLTIP_ONLINE"] = "Online";
L["TITAN_PALS_TOOLTIP_OFFLINE"] = "Offline";
L["TITAN_PALS_TOOLTIP_IGNORED"] = "Currently Ignored";

-- Menu
L["TITAN_PALS_MENU_TEXT"] = "Titan Pals";
L["TITAN_PALS_MENU_SETTINGS"] = "Settings";
L["TITAN_PALS_MENU_NOALTS"] = "Remove Alts from ToolTip";
L["TITAN_PALS_MENU_SHOWIGNORED"] = "Show Currently Ignored";
L["TITAN_PALS_MENU_SHOWOFFLINE"] = "Show Offline Pals";
L["TITAN_PALS_MENU_SHOWCLASS"] = "Show Pals Class";
L["TITAN_PALS_MENU_SHOWNOTE"] = "Show Pals Note";
L["TITAN_PALS_MENU_SYNCALTS"] = "Sync Alts to Friends List";
L["TITAN_PALS_MENU_SYNCALTSFRIENDS"] = "Sync Alts Friends to Friends List";
L["TITAN_PALS_MENU_SYNC"] = "Syncing";
L["TITAN_PALS_MENU_WHISPER"] = "Whisper";
L["TITAN_PALS_MENU_INVITE"] = "Invite";
L["TITAN_PALS_MENU_RMOVE"] = "Remove";
L["TITAN_PALS_MENU_NOTE"] = "Note";
L["TITAN_PALS_MENU_MEM"] = "Show Memory Usage in Tooptip";

-- Debuging
L["TITAN_PALS_DEBUG_DEV"] = "Debug Mode";
L["TITAN_PALS_DEBUG_DEVEVENT"] = "Event Debug Mode";
L["TITAN_PALS_DEBUG_DEVLOGEVENT"] = "Log Event Debug Mode";
L["TITAN_PALS_DEBUG_MDEBUG"] = "Debug Menu";
L["TITAN_PALS_DEBUG_DEBUG1"] = "Debug Setting";

-- Authors
L["TITAN_PALS_AUTHOR_A"] = "Nagdand@Laughing Skull";
L["TITAN_PALS_AUTHOR_B"] = "Nagdand@Korialstrasz";
L["TITAN_PALS_AUTHOR_C"] = "Dorid@Sentinels";
L["TITAN_PALS_AUTHOR_D"] = "Corelg@Laughing Skull";
L["TITAN_PALS_AUTHOR_E"] = "Lindarena@Laughing Skull";

-- Colors
L["TITAN_PALS_COLORS_GRAY"] = "|cff808080";
L["TITAN_PALS_COLORS_ORANGE"] = "|cffff9900";
L["TITAN_PALS_COLORS_RED"] = "|cffff2020";
L["TITAN_PALS_COLORS_GREEN"] = "|cff20ff20";
L["TITAN_PALS_COLORS_NORMAL"] = "|cffffd200";
L["TITAN_PALS_COLORS_HLIGHT"] = "|cffffffff";
L["TITAN_PALS_COLORS_CTAG"] = "|r";

-- Button
L["TITAN_PALS_BUTTON_LABEL"] = "Pals: ";
L["TITAN_PALS_BUTTON_TEXT"] = "%s/%s/%s";


-- Notes
-- Warrior
L["TITAN_PALS_NOTES_WPROT"] = "Protection";
L["TITAN_PALS_NOTES_WARMS"] = "Arms";
L["TITAN_PALS_NOTES_WFURY"] = "Fury";
-- Mage
L["TITAN_PALS_NOTES_MFIRE"] = "Fire";
L["TITAN_PALS_NOTES_MFROS"] = "Frost";
L["TITAN_PALS_NOTES_MARCA"] = "Arcane";
-- Paladin
L["TITAN_PALS_NOTES_PPROT"] = "Protection";
L["TITAN_PALS_NOTES_PHOLY"] = "Holy";
L["TITAN_PALS_NOTES_PRETR"] = "Retribution";
-- Hunter
L["TITAN_PALS_NOTES_HMARK"] = "Marksmanship";
L["TITAN_PALS_NOTES_HBEAS"] = "Beast Mastery";
L["TITAN_PALS_NOTES_HSURV"] = "Survival";
-- Rogue
L["TITAN_PALS_NOTES_RASSA"] = "Assassination";
L["TITAN_PALS_NOTES_RCOMB"] = "Combat";
L["TITAN_PALS_NOTES_RSUBT"] = "Subtlety";
-- Priest
L["TITAN_PALS_NOTES_PRSHA"] = "Shadow";
L["TITAN_PALS_NOTES_PRHOL"] = "Holy";
L["TITAN_PALS_NOTES_PRDIS"] = "Discipline";
-- Warlock
L["TITAN_PALS_NOTES_LAFFL"] = "Affliction";
L["TITAN_PALS_NOTES_LDEMO"] = "Demonology";
L["TITAN_PALS_NOTES_LDEST"] = "Destruction";
-- Death Knight
L["TITAN_PALS_NOTES_DLBLO"] = "Blood";
L["TITAN_PALS_NOTES_DKFRO"] = "Frost";
L["TITAN_PALS_NOTES_DKUNH"] = "Unholy";
-- Druid
L["TITAN_PALS_NOTES_DBALA"] = "Balance";
L["TITAN_PALS_NOTES_DFERA"] = "Feral Combat";
L["TITAN_PALS_NOTES_DREST"] = "Restoration";
-- Shaman
L["TITAN_PALS_NOTES_SELEM"] = "Elemental";
L["TITAN_PALS_NOTES_SENHA"] = "Enhancement";
L["TITAN_PALS_NOTES_SREST"] = "Restoration";

-- Classes
L["TITAN_PALS_CLASSES_WARRIOR"] = "Warrior";
L["TITAN_PALS_CLASSES_MAG"] = "Mage";
L["TITAN_PALS_CLASSES_PALADIN"] = "Paladin";
L["TITAN_PALS_CLASSES_HUNTER"] = "Hunter";
L["TITAN_PALS_CLASSES_ROGUE"] = "Rogue";
L["TITAN_PALS_CLASSES_PRIEST"] = "Priest";
L["TITAN_PALS_CLASSES_WARLOCK"] = "Warlock";
L["TITAN_PALS_CLASSES_DEATHKNIGHT"] = "Death Knight";
L["TITAN_PALS_CLASSES_DRUID"] = "Druid";
L["TITAN_PALS_CLASSES_SHAMAN"] = "Shaman";