-- ******************************** Variables *******************************
local L = LibStub("AceLocale-3.0"):GetLocale("Titan", true)
local LB = LibStub("AceLocale-3.0"):GetLocale("TitanPals", true)
-- ******************************** Functions *******************************
function TitanPanelPals_CoreUtils(b, b1, b2, b3, b4, b5, b6, b7, b8, b9, b10)
     if ( TitanPals["Debug"] ) then
          if ( b ) then TitanPals["dLine"] = "[|cffff9900"..b.."|r]" end
          if ( b1 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b1.."|r]" end
          if ( b2 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b2.."|r]" end
          if ( b3 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b3.."|r]" end
          if ( b4 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b4.."|r]" end
          if ( b5 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b5.."|r]" end
          if ( b6 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b6.."|r]" end
          if ( b7 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b7.."|r]" end
          if ( b8 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b8.."|r]" end
          if ( b9 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b9.."|r]" end
          if ( b10 ) then TitanPals["dLine"] = TitanPals["dLine"].."[|cff808080"..b10.."|r]" end
          TitanPals["dLine"] = "Recieved "..TitanPals["dLine"];
	  TitanPanelPals_DebugUtils("bug", "dLine", TitanPals["dLine"]);
     end
     if ( b == "UpDate" ) then
          -- [b     ][b1     ][b2   ][b3    ]
          -- [Action][Faction][Realm][Player]
          local NumPals = GetNumFriends();
	  local NumPalsOnline = 0;
	  local Palsn, Palsl, Palsc, Palsa, Palsco, Palss, Palsno
	  local dPalsn, dPalsl, dPalsc, dPalsa, dPalsco, dPalss, dPalsno;
	  local iTable, fIndex;
	  local xIndex = 0;
          local tCount = table.getn(TitanPals["Lists"][TitanPals["palsDB"]])
	  for fIndex=1, NumPals do
	       --[Name][Level][Class][Area][Connected][Status][Note]
	       Palsn, Palsl, Palsc, Palsa, Palsco, Palss, Palsno = GetFriendInfo(fIndex);
	       if ( Palsl == 0 ) then Palsl = "0"; end
	       if ( not Palsco ) then Palsco = "Offline"; end
	       if ( not Palss ) then Palss = "n/a"; end
	       if ( not Palsno ) then Palsno = "-"; end
	       if ( tCount ~= 0 ) then
		    for i=1 , tCount do
		         lCharacter = TitanPals["Lists"][TitanPals["palsDB"]][i];
                         local lPalsn, lPalsl, lPalsc, lPalsa, lPalsno = string.match(lCharacter, '(.*):(.*):(.*):(.*):(.*)');
			 if ( lPalsn == Palsn ) then
			      xIndex = i;
                              dPalsn, dPalsl, dPalsc, dPalsa, dPalsno = string.match(lCharacter, '(.*):(.*):(.*):(.*):(.*)');
			 end
                    end
	       end

	       if ( xIndex ~= 0 ) then
	            if ( Palsl == 0 and dPalsl ~= 0 ) then Palsl = dPalsl end
                    if ( dPalsc ~= "Unknown" ) then Palsc = dPalsc; end
	            if ( dPalsa ~= "Unknown" ) then Palsa = dPalsa; end
	       end

               iTable = Palsn..":"..Palsl..":"..Palsc..":"..Palsa..":"..Palsno;
               TitanPanelPals_DebugUtils("bug", "UpDate", "Adding "..Palsn.." to DB");
               if ( xIndex ~= 0 ) then tremove(TitanPals["Lists"][TitanPals["palsDB"]], xIndex) end
	       tinsert(TitanPals["Lists"][TitanPals["palsDB"]], iTable)
	  end
     elseif ( b == "NamePlate" ) then
          --[b1    ][b2   ][b3   ][b4  ]
          --[Status][Level][Class][Name]
          if ( b1 ) then b1 = b1.." "; end
          if ( b2 == 0 ) then b2 = "-"; end
          if ( TitanPals["ShowClass"] ) then
               return "  "..b1.." ("..TitanPanelPals_ColorUtils("GetCText", "orange", b2).." "..TitanPanelPals_ColorUtils("GetCClass", "color", b3, b3)..") "..b4;
          else
               return "  "..b1.."("..TitanPanelPals_ColorUtils("GetCText", "orange", b2)..") "..TitanPanelPals_ColorUtils("GetCClass", "color", b3, b4);
          end
     elseif ( b == "Toggle" ) then
          if ( TitanPals[b1] ) then 
	       TitanPals[b1] = false;
	       if ( b1 == "DebugLogEvent" ) then wipe(TitanPals["Temp"]); end
	       if ( b1 == "Debug") then TitanPals["dLine"] = ""; end
          elseif ( not TitanPals[b1] ) then TitanPals[b1] = true; end
     elseif ( b == "mem" ) then
	UpdateAddOnMemoryUsage();
	TitanPals["dLine"] = TitanPanelPals_ColorUtils("GetCText", "green", floor(GetAddOnMemoryUsage('TitanPals')).."kb");
	TitanPanelPals_DebugUtils("info", "mem", "Titan Panel [|cffeda55fPals|r] is using "..TitanPals["dLine"].." of memory");
     elseif ( b == "GetcIndex" ) then
          if ( not TitanPals["Lists"][TitanPals["palsDB"]] ) then TitanPals["Lists"][TitanPals["palsDB"]] = {}; end
     elseif ( b == "playList" ) then
          local pTable = TitanPals["Temp"];
          for i=1, table.getn(pTable) do
	       TitanPanelPals_DebugUtils("info", "playList", pTable[i]);
          end
     elseif ( b == "addAlt" ) then
  	  if ( not TitanPals["Alts"][TitanPals["palsDB"]] ) then TitanPals["Alts"][TitanPals["palsDB"]] = {}; end
          local aIndex = table.getn(TitanPals["Alts"][TitanPals["palsDB"]]);
          local aTable = TitanPals["Alts"][TitanPals["palsDB"]];
          local mIndex = 0;
          for a=1, aIndex do
               if ( aTable[a] == b3 ) then mIndex = a; end
	  end

	  if ( mIndex == 0 ) then
	       TitanPanelPals_DebugUtils("bug", "addAlt", "Adding Alt ("..mIndex..") "..b3);
	       tinsert(TitanPals["Alts"][TitanPals["palsDB"]], b3); 
	  elseif ( mIndex ~= 0 ) then 
	       TitanPanelPals_DebugUtils("bug", "addAlt", "Found Alt "..aTable[mIndex]);
	       tremove(TitanPals["Alts"][TitanPals["palsDB"]], mIndex);
	       tinsert(TitanPals["Alts"][TitanPals["palsDB"]], mIndex, b3);
	  end
     elseif ( b == "altFind") then
         local altIndex = TitanPals["Alts"][TitanPals["palsDB"]];
	 local tCheck = false;
         for i=1, table.getn(altIndex) do
	      if ( altIndex[i] == b1 ) then tCheck = true; end
	 end
	 return tCheck;
     end
end

function TitanPanelPals_DebugUtils(d, d1, d2)
     --[d     ][d1      ][d2   ]
     --[Action][Function][error]
     if ( d == "bug" and TitanPals["Debug"] ) then
          local iDebug = TitanPanelPals_ColorUtils("GetCText", "red", LB["TITAN_PALS_CORE_DTAG"]);
          DEFAULT_CHAT_FRAME:AddMessage(iDebug.."["..TitanPanelPals_ColorUtils("GetCText", "orange", d1).."] "..d2);
	  if ( TitanPals["DebugLogEvent"] ) then
	       if ( d1 ~= "dLine" ) then tinsert(TitanPals["Temp"], d2); end
	  end
     elseif ( d == "info" ) then
          local iInfo = TitanPanelPals_ColorUtils("GetCText", "orange", LB["TITAN_PALS_CORE_ITAG"]);
	  DEFAULT_CHAT_FRAME:AddMessage(iInfo..d2);
     end
end

function TitanPanelPals_ColorUtils(c, c1, c2, c3, c4, c5, c6, c7, c8, c9, c10)
     if ( c == "GetCText") then
          --[c     ][c1   ][c2  ]
          --[Action][Color][Text]
          if ( c1 == "gray" ) then return LB["TITAN_PALS_COLORS_GRAY"]..c2..LB["TITAN_PALS_COLORS_CTAG"];
          elseif ( c1 == "red") then return LB["TITAN_PALS_COLORS_RED"]..c2..LB["TITAN_PALS_COLORS_CTAG"];
          elseif ( c1 == "green" ) then return LB["TITAN_PALS_COLORS_GREEN"]..c2..LB["TITAN_PALS_COLORS_CTAG"];
          elseif ( c1 == "orange") then return LB["TITAN_PALS_COLORS_ORANGE"]..c2..LB["TITAN_PALS_COLORS_CTAG"];
          elseif ( c1 == "normal" ) then return LB["TITAN_PALS_COLORS_NORMAL"]..c2..LB["TITAN_PALS_COLORS_CTAG"];
          elseif ( c1 == "hlight" ) then return LB["TITAN_PALS_COLORS_HLIGHT"]..c2..LB["TITAN_PALS_COLORS_CTAG"]; end
     elseif ( c == "GetCClass" ) then
          --[c     ][c1   ][c2   ][c3    ]
          --[Action][Style][Class][Player]
          local colorCode;
          if (c2 == "Warlock") then colorCode = "|cff9482C9";
          elseif (c2 == "Death Knight") then colorCode = "|cffc41f3b";
          elseif (c2 == "Hunter") then colorCode = "|cffabd473";
          elseif (c2 == "Priest") then colorCode = "|cffffffff";
          elseif (c2 == "Paladin") then colorCode = "|cfff58cba";
          elseif (c2 == "Mage") then colorCode = "|cff69ccf0";
          elseif (c2 == "Rogue") then colorCode = "|cfffff569";
          elseif (c2 == "Druid") then colorCode = "|cffff7d0a";
          elseif (c2 == "Shaman") then colorCode = "|cff2459FF";
          elseif (c2 == "Warrior") then colorCode = "|cffc79c6e";
          else colorCode = "|cffFFFFFF";
          end
          if ( c1 == "color" ) then return colorCode..c3..LB["TITAN_PALS_COLORS_CTAG"];
          elseif ( c1 == "normal" ) then return c3; end
     end
end
